package com.chenyang.nse.bussiness.entity.vo;

import java.util.List;

public class DataGridFlagVO<E> {
   private long total;
   private List<E> rows;
   private Integer flag;

   public DataGridFlagVO() {
   }

   public DataGridFlagVO(long total, List<E> rows) {
      this.total = total;
      this.rows = rows;
   }

   public long getTotal() {
      return this.total;
   }

   public void setTotal(long total) {
      this.total = total;
   }

   public List<E> getRows() {
      return this.rows;
   }

   public void setRows(List<E> rows) {
      this.rows = rows;
   }

   public Integer getFlag() {
      return this.flag;
   }

   public void setFlag(Integer flag) {
      this.flag = flag;
   }
}
